Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.iter
Class NodIter

    java.lang.Object
      org.basex.query.xquery.iter.Iter
          org.basex.query.xquery.iter.NodeIter
              org.basex.query.xquery.iter.NodIter

    public final class NodIter

extends NodeIter

Simple node Iterator, ignoring duplicates.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`Nod[]` | `list` Items.
`int` | `size` Size.

Fields inherited from class org.basex.query.xquery.iter.NodeIter
`NONE`

Fields inherited from class org.basex.query.xquery.iter.Iter
`EMPTY`

Constructor Summary
`NodIter()` Constructor.
`NodIter(Nod[] it, int s)` Constructor.

Method Summary
`void` | `add(Nod n)` Adds a node.
`void` | `add(Nod[] i, int s)` Adds several items.
`Nod` | `next()` Returns the next item or null if no other items are found.
`void` | `reset()` Resets the iterator; can be optionally implemented.
`long` | `size()` Returns the number of entries.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.iter.Iter
`atomic, ebv, finish, seqErr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### list

    public Nod[] list

  Items.

### size

    public int size

  Size.

Constructor Detail

### NodIter

    public NodIter()

  Constructor.

### NodIter

    public NodIter(Nod[] it,
                   int s)

  Constructor.

  Parameters:
    `it` - item array
    `s` - size

Method Detail

### add

    public void add(Nod n)

  Adds a node.

  Parameters:
    `n` - node to be added

### add

    public void add(Nod[] i,
                    int s)

  Adds several items.

  Parameters:
    `i` - item array
    `s` - number of items to be added

### next

    public Nod next()

  Description copied from class: `Iter`
  Returns the next item or null if no other items are found.

  Specified by:
    `next` in class `NodeIter`
  Returns:
    resulting item

### size

    public long size()

  Description copied from class: `Iter`
  Returns the number of entries. Warning: -1 is returned if the number cannot be evaluated, so each method has to check and react on the returned value.

  Overrides:
    `size` in class `Iter`
  Returns:
    number of entries

### reset

    public void reset()

  Description copied from class: `Iter`
  Resets the iterator; can be optionally implemented.

  Overrides:
    `reset` in class `Iter`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD